Bug 1311861 - kubectl exec is broken in kubernetes-1.2.0-0.4.alpha1
kubectl exec is broken in kubernetes-1.2.0-0.4.alpha1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kubernetes (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 03:43 EST by Stef Walter
Modified: 2016-03-31 20:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: kubernetes-1.2.0-0.12.alpha6.gitf0cd09a.fc23 kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 20:28:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2016-02-25 03:43:13 EST
Description of problem:

The 'kubectl exec' command has regressed, and produces this failure:

error: error executing remote command: Error executing command in container: Unrecognized input header

Version-Release number of selected component (if applicable):

# rpm -q kubernetes
kubernetes-1.2.0-0.4.alpha1.git4c8e6f4.fc23.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Run some pods.
2. Run the code below.

Actual results:

# rpm -q kubernetes
kubernetes-1.2.0-0.4.alpha1.git4c8e6f4.fc23.x86_64
# rpm -q docker
docker-1.10.2-1.git86e59a5.fc23.x86_64
# docker exec k8s_mock-container.88f1f36_mock-aogwd_default_d53a657a-db98-11e5-8811-9e005dd50001_39e4050e date
Thu Feb 25 08:39:58 UTC 2016
# kubectl get pods
NAME         READY     STATUS    RESTARTS   AGE
mock-aogwd   1/1       Running   0          2m
mock-cxirx   1/1       Running   0          2m
# kubectl exec mock-aogwd -- date
error: error executing remote command: Error executing command in container: Unrecognized input header

Expected results:

# rpm -q kubernetes
kubernetes-1.1.0-0.17.git388061f.fc23.x86_64
# rpm -q docker
docker-1.9.1-6.git6ec29ef.fc23.x86_64
# kubectl get pods
NAME         READY     STATUS    RESTARTS   AGE
mock-on1bw   1/1       Running   0          46s
mock-ra9ad   1/1       Running   0          36s
# kubectl exec mock-on1bw -- date
Thu Feb 25 08:36:13 UTC 2016
Comment 1 Stef Walter 2016-02-25 03:43:26 EST
Related to https://github.com/fsouza/go-dockerclient/issues/455
Comment 2 Fedora Update System 2016-02-29 12:29:18 EST
kubernetes-1.2.0-0.12.alpha6.gitf0cd09a.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a203fd7ac
Comment 3 Fedora Update System 2016-02-29 18:52:00 EST
kubernetes-1.2.0-0.12.alpha6.gitf0cd09a.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a203fd7ac
Comment 4 Fedora Update System 2016-03-01 04:10:10 EST
kubernetes-1.2.0-0.13.alpha6.gitf0cd09a.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bc7ba5f6b
Comment 5 Fedora Update System 2016-03-02 07:52:59 EST
kubernetes-1.2.0-0.13.alpha6.gitf0cd09a.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bc7ba5f6b
Comment 6 Fedora Update System 2016-03-08 14:03:15 EST
kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a89f5ce5f4
Comment 7 Fedora Update System 2016-03-09 17:55:53 EST
kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a89f5ce5f4
Comment 8 Fedora Update System 2016-03-31 20:27:49 EDT
kubernetes-1.2.0-0.15.alpha6.gitf0cd09a.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.